# Probe Pruning: Accelerating LLMs through Dynamic Pruning via Model-Probing

We greatly appreciate your assistance with the review. Your expertise and time are immensely valuable. We sincerely appreciate your help.



## Requirements

- Requires Python 3.9 or higher

- see pprequirements.txt

  

## Instruction

- Global hyperparameters are configured in config.yml

- Hyperparameters can be found at hyper.py in module


## Examples

- Test WikiText2 dataset using Probe Pruning with the default probe at a 40% pruning ratio on LLaMA-2-7B

  ```ruby
  python test_model.py --control_name wikitext-2v1_llama-2-7b_clm_20_1024_0.4_ppwandasp_probe-default_sync_c4-2000_0.5+0.05-0.5+0.05-0.5+0.05-0.5+0.05-0.5+0.05-seqrank+bszrank_default --device cuda
  ```

- Test WikiText2 dataset using FLAP at a 40% pruning ratio on LLaMA-2-7B

  ```ruby
  python test_model.py --control_name wikitext-2v1_llama-2-7b_clm_20_1024_0.4_flap_flap-default_asyncinter_c4-2000_None_default --device cuda
  ```
